Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.engine.gui.components
Class ParameterDataObjectTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          uchicago.src.sim.engine.gui.components.EnhancedTableModel
              uchicago.src.sim.engine.gui.components.ParameterDataObjectTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

    public class ParameterDataObjectTableModel

extends EnhancedTableModel

Author:
  maciorowski
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `revision` Source code revision.

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`ParameterDataObjectTableModel(GUIControllerAbstract aGUIControllerAbstract, ParameterData aParameterData)` Jun 6, 2003

Method Summary
`ParameterData` | `getAParameterData()`
`java.lang.Class` | `getColumnClass(int col)`
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int col)`
`int` | `getRowCount()`
`java.lang.Object` | `getValueAt(int row, int col)`
`void` | `insertRow()` Needs to be implemented
`boolean` | `isCellEditable(int rowIndex, int col)`
`void` | `removeRow(int i)` Needs to be implemented
`void` | `setAParameterData(ParameterData parameterData)`
`void` | `setValueAt(java.lang.Object aValue, int row, int col)`

Methods inherited from class uchicago.src.sim.engine.gui.components.EnhancedTableModel
`fixColumnSizing, getEnhancedJTable, setEnhancedJTable`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### revision

    public static final java.lang.String revision

  Source code revision.

  See Also:
    Constant Field Values

Constructor Detail

### ParameterDataObjectTableModel

    public ParameterDataObjectTableModel(GUIControllerAbstract aGUIControllerAbstract,
                                         ParameterData aParameterData)

  Jun 6, 2003

Method Detail

### setAParameterData

    public void setAParameterData(ParameterData parameterData)

  Parameters:
    `parameterData` - The aParameterData to set.

### getAParameterData

    public ParameterData getAParameterData()

  Returns:
    Returns the aParameterData.

### isCellEditable

    public boolean isCellEditable(int rowIndex,
                                  int col)

  Specified by:
    `isCellEditable` in interface `javax.swing.table.TableModel`
  Overrides:
    `isCellEditable` in class `javax.swing.table.AbstractTableModel`

### getColumnClass

    public java.lang.Class getColumnClass(int col)

  Specified by:
    `getColumnClass` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnClass` in class `javax.swing.table.AbstractTableModel`
  Parameters:
    `col` -
  Returns:
  See Also:
    `TableModel.getColumnClass(int)`

### getColumnCount

    public int getColumnCount()

  Returns:
  See Also:
    `TableModel.getColumnCount()`

### getColumnName

    public java.lang.String getColumnName(int col)

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`

### getRowCount

    public int getRowCount()

  Returns:
  See Also:
    `TableModel.getRowCount()`

### setValueAt

    public void setValueAt(java.lang.Object aValue,
                           int row,
                           int col)

  Specified by:
    `setValueAt` in interface `javax.swing.table.TableModel`
  Overrides:
    `setValueAt` in class `javax.swing.table.AbstractTableModel`

### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int col)

  Parameters:
    `row` -
    `col` -
  Returns:
  See Also:
    `TableModel.getValueAt(int, int)`

### insertRow

    public void insertRow()

  Description copied from class: `EnhancedTableModel`
  Needs to be implemented

  Specified by:
    `insertRow` in class `EnhancedTableModel`
  See Also:
    `com.pg.ecmo.gui.components.jtable.EnhancedTableModel#insertRow()`

### removeRow

    public void removeRow(int i)

  Description copied from class: `EnhancedTableModel`
  Needs to be implemented

  Specified by:
    `removeRow` in class `EnhancedTableModel`
  Parameters:
    `i` -
  See Also:
    `com.pg.ecmo.gui.components.jtable.EnhancedTableModel#removeRow(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD